Summary: Utilities for the IBM Power Linux RAID adapters
Name:    iprutils
Version: 2.3.11
Release: 2%{?dist}
License: CPL
Group:   System Environment/Base
URL:     http://sourceforge.net/projects/iprdd/

Source0: http://downloads.sourceforge.net/project/iprdd/iprutils%20for%202.6%20kernels/%{version}/%{name}-%{version}-src.tgz

# Missing man page (#555777)
Source1: iprdbg.8.gz
Patch0:  iprutils-cflags.patch
Patch1:  iprutils-array.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: ppc ppc64

BuildRequires: libsysfs-devel
BuildRequires: pciutils-devel
BuildRequires: ncurses-devel
BuildRequires: libcap-devel

Requires: redhat-lsb
Obsoletes: ipr-utils

%description
Provides a suite of utilities to manage and configure SCSI devices
supported by the ipr SCSI storage device driver.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .cflags
%patch1 -p1 -b .array

%build
CFLAGS="%{optflags}" %{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL_MOD_PATH=%{buildroot} install

%{__install} -d %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__install} -m 0755 init.d/iprinit %{buildroot}%{_sysconfdir}/rc.d/init.d/iprinit
%{__install} -m 0755 init.d/iprdump %{buildroot}%{_sysconfdir}/rc.d/init.d/iprdump
%{__install} -m 0755 init.d/iprupdate %{buildroot}%{_sysconfdir}/rc.d/init.d/iprupdate
%{__install} -m 0644 -t %{buildroot}/%{_mandir}/man8 %{SOURCE1}

%post
/sbin/chkconfig --add iprdump
/sbin/chkconfig --add iprupdate
/sbin/chkconfig --add iprinit

%preun
/sbin/chkconfig --del iprdump
/sbin/chkconfig --del iprupdate
/sbin/chkconfig --del iprinit

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README LICENSE
/sbin/*
%{_mandir}/man*/*
%{_sysconfdir}/rc.d/init.d/*

%changelog
* Wed Aug 22 2012 Lukáš Nykrýn <lnykryn@redhat.com> - 2.3.11-2
- Resolves: #843639 - RHEL5.9 early kernel + 2.3.11 iprutils: delete an array failed.

* Wed Jun 13 2012 Lukáš Nykrýn <lnykryn@redhat.com> - 2.3.11-1
- Resolves: #795953 - Update iprutils package to2.3.11 for SAS VRAID adapters
- Resolves: #750702 - iprutils needs fixes for array creation and deletion with the new 64 bit adapters

* Tue Dec 20 2011 Jiri Skala <jskala@redhat.com> - 2.3.7-2
- Resolves: #760336 - iprutils needs additional fixes for supporting/enabling SAS VRAID functions
- Resolves: #768532 - iprutils needs more fixes for supporting/enabling SAS VRAID functions

* Thu Aug 25 2011 Jiri Skala <jskala@redhat.com> - 2.3.7-1
- latest upstream version
- Resolves: #714257 - Update iprutil tool for supporting/enabling SAS VRAID functions

* Wed Jun 01 2011 Jiri Skala <jskala@redhat.com> - 2.3.4-1
- Resolves: #651439 - Update iprutil tool for supporting/enabling SAS VRAID functions

* Tue Mar 15 2011 Jiri Skala <jskala@redhat.com> - 2.3.3-1
- Resolves: #651439 - Update iprutil tool for supporting/enabling SAS VRAID functions

* Wed Sep 22 2010 Roman Rakus <rrakus@redhat.com> - 2.3.0-2
- Added missing man page
  Resolves: #555777

* Thu Sep 02 2010 Roman Rakus <rrakus@redhat.com> - 2.3.0-1
- Update to 2.3.0
  Resolves: #563573

* Wed Nov 18 2009 Roman Rakus <rraus@redhat.com> - 2.2.18-1
- Rebase to 2.2.18
  Resolves: #512246

* Wed Mar 11 2009 Roman Rakus <rrakus@redhat.com> - 2.2.13-1
- Rebase to 2.2.13
  Resolves: #452312, #475362

* Tue Aug 19 2008 Roman Rakus <rrakus@redhat.com> - 2.2.8-2
- Do not save preferred primary attribute to fix an infinite failover
  problem in HA two system RAID configuration
  Resolves: #450694

* Fri Nov 16 2007 David Cantrell <dcantrell@redhat.com> - 2.2.8-1
- Update to latest upstream
  Resolves: rhbz#314191

* Thu May 17 2007 Paul Nasrat <pnasrat@redhat.com> - 2.2.6-1
- Update to latest upstream (#228535)

* Thu Jul 13 2006 Paul Nasrat <pnasrat@redhat.com> - 2.1.5-1
- New upstream version

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.1.4-3.1
- rebuild

* Mon Jul 10 2006 Paul Nasrat <pnasrat@redhat.com> - 2.1.4-3
- Add redhat-lsb requires

* Mon Jul 10 2006 David Woodhouse <dwmw2@redhat.com> - 2.1.4-2
- Rebuild against new sysfsutils

* Mon Jun 26 2006 Paul Nasrat <pnasrat@redhat.com> - 2.1.4-1
- Update to 2.1.4

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.1.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.1.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 23 2005 Paul Nasrat <pnasrat@redhat.com> - 2.1.1-1
- Update to 2.1.1
- Use RPM_OPT_FLAGS

* Tue Aug 02 2005 Paul Nasrat <pnasrat@redhat.com> - 2.0.15.3-1
- update to 2.0.15.3-1

* Wed May 11 2005 Paul Nasrat <pnasrat@redhat.com> - 2.0.14.2-1
- update to 2.0.14.2 (#156934)

* Thu Feb 24 2005 Paul Nasrat <pnasrat@redhat.com> - 2.0.13.7-1
- Update to 2.0.13.7 (#144654)
- Project moved location to sourceforge

* Mon Jan 03 2005 Paul Nasrat <pnasrat@redhat.com> - 2.0.13.5-1
- Update to 2.0.13.5 (#143593)

* Wed Dec  8 2004 Jeremy Katz <katzj@redhat.com> - 2.0.13.4-2
- link dynamically to sysfsutils instead of statically (#142310)

* Wed Dec 08 2004 Paul Nasrat <pnasrat@redhat.com> 2.0.13.4-1
- update to 2.0.13.4 (#142164)

* Fri Dec  3 2004 Jeremy Katz <katzj@redhat.com> - 2.0.13.3-1
- update to 2.0.13.3 (#141707)

* Mon Nov 15 2004 Jeremy Katz <katzj@redhat.com> - 2.0.13.2-1
- update to 2.0.13.2 (#139083)
  - fix firmware upload for firmware in /lib instead of /usr/lib
  - fix sysfs race

* Wed Oct  6 2004 Jeremy Katz <katzj@redhat.com> - 2.0.13-1
- update to 2.0.13 (#128996)

* Tue Aug  3 2004 Jeremy Katz <katzj@redhat.com> - 2.0.12-1
- update to 2.0.12
- include a copy of libsysfs to build

* Tue Jun 15 2004 Jeremy Katz <katzj@redhat.com> - 1.0.7-1
- update to 1.0.7 (#125988)

* Tue May 11 2004 Jeremy Katz <katzj@redhat.com> - 1.0.5-3
- obsolete ipr-utils (old package name)

* Thu Mar 25 2004 Jeremy Katz <katzj@redhat.com> 1.0.5-2
- 1.0.5
- some spec file tweaks

* Tue Nov 25 2003 Brian King <brking@us.ibm.com> 1.0.3-2
- Fixed segmentation fault in iprupdate
